
SUQQ GO
SKU: Z29DF81FB3E8EC9AC72C7Z
Coupons & Offers
SUQQ GOGet it by Sun, Oct 4
Deliver to Dubai ·
14-day returns — free & easy
Sold by
CLIQNSHOP
Why with SUQQ
Payment options
Top Safety Standard: This item has passed strict safety tests, meaning its components and quality meet the national gold standard for electricity product safety.. Fit for Hatteker Mens Beard Trimmer, Cordless Hair Trimmer Pro Hair Clippers Beard Trimmer RFC-588 RFC-598 RFC-690 RFC-692 RFC-696 RSCX-9598 RSCX-7568 and more.. Max Output Power: 10W 5V 2A,Connector Type: Black Connection Point. What You Get -1 X AC Charger.

AED 90.37

AED 61

AED 131
Total for 3 items
AED 282.37

SUQQ GO
SUQQ GOGet it by Sun, Oct 4

SUQQ GO
SUQQ GOGet it by Sun, Oct 4

SUQQ GOGet it by Sun, Oct 4

SUQQ GOGet it by Sun, Oct 4
Charger Cord Fit for Hatteker Mens Beard Trimmer, Cordless Hair Trimmer Pro Hair Clippers Beard Trimmer RFC-598 RFC-588 RFC-690 Electric Shaver Razor Power Adapter Supply